View Issue Details

IDProjectCategoryView StatusLast Update
13532Bug reports[All Projects] Theme editorpublic2018-05-23 12:57
ReporterDenisChenuAssigned ToLouisGac 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary13532: Invalid function in template : Unable to delete or fix it
Description

Can't access to an invalid template : can delete it
Can't access to an invalid template : can fix it

Steps To Reproduce

Extend vanilla, save any view
Add a bad function ('user can easily do some error in function name …)
Save …
Try to fix or delete template : since we can delete it only in theme editor : must be allowed to edit it (and fix it)

Additional Information

Maybe in 3.6 or 3.7 we add new function, i don't know what happen when user import it in 3.5

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.3 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Relationships

related to 13676 closedLouisGac Saving {{ : }} in a twig file crashes Theme Editor... 

Activities

DenisChenu

DenisChenu

2018-03-26 09:41

developer  

Mazi

Mazi

2018-04-04 09:43

developer   ~47318

Thanks for this bug report, Denis. Users developing templates can easily run into this issue. Even if there is just some bad twig syntax, this can break the whole template and the only way to fix it is connecting via FTP, using a text editor to edit the file and then re-upload.
Instead, we should catch such errors and offer a way to the user to fix this using the theme editor.

LouisGac

LouisGac

2018-05-16 13:21

manager   ~47639

clearly, it should only show an error message in the preview.

LouisGac

LouisGac

2018-05-23 12:57

manager   ~47787

fixed with : https://bugs.limesurvey.org/view.php?id=13676

Issue History

Date Modified Username Field Change
2018-03-26 09:41 DenisChenu New Issue
2018-03-26 09:41 DenisChenu File Added: Capture du 2018-03-26 09-35-48.png
2018-03-26 09:41 DenisChenu File Added: Capture du 2018-03-26 09-40-10.png
2018-03-26 09:41 DenisChenu File Added: Capture du 2018-03-26 09-40-33.png
2018-04-03 13:42 DenisChenu Summary Unable to delete or fix an invalid template => Invalid function in template : Unable to delete or fix it
2018-04-04 09:43 Mazi Note Added: 47318
2018-04-09 13:40 markusfluer Assigned To => LouisGac
2018-04-09 13:40 markusfluer Status new => assigned
2018-05-16 13:20 LouisGac Relationship added related to 13676
2018-05-16 13:21 LouisGac Note Added: 47639
2018-05-23 12:57 LouisGac Status assigned => closed
2018-05-23 12:57 LouisGac Resolution open => fixed
2018-05-23 12:57 LouisGac Note Added: 47787